Bug 988134 - Wordpress Quickstart should be updated to latest stable release
Wordpress Quickstart should be updated to latest stable release
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 16:01 EDT by Jason DeTiberus
Modified: 2015-05-14 22:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:46:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason DeTiberus 2013-07-24 16:01:34 EDT
Description of problem:
The wordpress quickstart is currently using version 3.4.2, current stable release is 3.5.2

How reproducible:
Always

Steps to Reproduce:
1. Install wordpress from quickstart
2. See prompt to upgrade

Actual results:
Upgrade is needed after installing from quickstart

Expected results:
Upgrade should not be needed

Additional info:
3.5.2 was a security and maintenance release, without upgrading, some users will be running vulnerable versions of wordpress after an initial install.
Comment 1 John Poelstra 2013-08-12 19:54:47 EDT
Additionally, a ways back I thought a mechanism had been put in place to always pull the latest stable version from upstream.  This clearly is not happening as the latest stable version is 3.6
Comment 2 Clayton Coleman 2013-09-09 18:16:49 EDT
Fixed in https://github.com/openshift/wordpress-example/pull/37

QE, to test, please run 

  rhc create-app <name> php-5 mysql-5 --from-code=git://github.com/smarterclayton/wordpress-example.git#wordpress36

Once it's validated I will merge this request into master and update the quickstart link.
Comment 3 Yujie Zhang 2013-09-10 01:38:34 EDT
Tested on devenv_3762, the wordpress application can work correctly, so verify this bug, thanks.
Comment 4 Yujie Zhang 2013-09-10 02:35:06 EDT
The version of the wordpress is 3.6 now.
Comment 5 John Poelstra 2013-09-10 11:20:52 EDT
Can you explain how this works? 

It looks like we are still maintaining our own repo of the upstream code in github.  

I thought the solution described to me was that "at each install we were going to automatically pull the latest stable version from upstream?"
Comment 6 Clayton Coleman 2013-09-10 11:25:36 EDT
That's Drupal.  Eventually it'd be nice to do this for wordpress - but it's a story.  It's still a manual process.
Comment 7 John Poelstra 2013-09-10 11:30:29 EDT
I'd be willing to volunteer to try and help maintain the WordPress quickstart so it stays current, if someone could give me some pointers. 

I use the term "maintain" extremely loosely (I'm not a PHP coder)-- I'd watch for stable version of WordPress to change and then drop in latest version as a pull request.  To do that I'd probably need a few minutes on the phone w/ someone to understand file layout and basic git commands to do the right thing.  

Let me know.
Comment 8 Clayton Coleman 2013-09-10 11:32:47 EDT
That's fine - the process is usually straight forward (although it could be more so)
Comment 9 John Poelstra 2013-09-19 12:56:06 EDT
FWIW, 3.6.1 came out last week.

Note You need to log in before you can comment on or make changes to this bug.